scim::FrontEndError Class Reference
FrontEnd

An exception class to hold FrontEnd related errors. More...

`#include <scim_frontend.h>`

## Public Member Functions

| FrontEndError (const String &what_arg)
Public Member Functions inherited from scim::Exception
| Exception (const String &what_arg)
| ~Exception () throw ()
virtual const char * | what () const throw ()

## Detailed Description

An exception class to hold FrontEnd related errors.

scim::FrontEndBase and its derived classes must throw scim::FrontEndError object when error.

## Constructor & Destructor Documentation

## FrontEndError()

scim::FrontEndError::FrontEndError | ( | const String & | what_arg | ) |

inline

References scim::Exception::Exception().

The documentation for this class was generated from the following file:

- scim_frontend.h